Get an authenticity verification
GET/spaces/{owner}/{space}/verifications/authenticity/{verification}
Get the details of an authenticity verification.
Scores: Confidence in a positive result is represented by the scores.
Path Parameters
The handle of the owner.
Possible values: non-empty and <= 50 characters
The handle of the space.
Possible values: non-empty and <= 50 characters
The handle of the authenticity verification.
Possible values: non-empty and <= 50 characters
Responses
- 200
- 404
The authenticity verification
Response Body
The UUID of the authenticity verification. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the authenticity verification. Is unique.
string<handle>verification-aThe alias of the authenticity verification.
string,null<alias>Verification AThe state of the authenticity verification.
VerificationState (string)Possible values: [performing, performed, performedWithoutScore, error]
performedThe mode of the authenticity verification.
VerificationMode (string)Possible values: [restApi, websocket]
restApiThe model of the authenticity verification. See authenticity verification models.
phone/v1audioobject | nullrequired
The audio of the authenticity verification.
The handle of the audio. Is unique.
string<handle>audio-aThe alias of the audio.
string,null<alias>Audio AThe state of the audio.
AudioState (string)Possible values: [avaitingFile, available, notAvailable]
availableThe duration of the audio.
string<duration>PT3.500SThe voice duration of the audio.
string<duration>PT3.500SThe score of the authenticity verification. This field is deprecated, use scores.synthesis instead.
number,null<float>Possible values: >= 0 and <= 1
0.85subscoresobjectdeprecated
The subscores of the authenticity verification. This field is deprecated, use scores instead.
The optional synthesis subscore of the authenticity verification. This field is deprecated, use scores.synthesis instead.
number,null<float>Possible values: >= 0 and <= 1
0.85The optional replay subscore of the authenticity verification. This field is deprecated.
number,null<float>Possible values: >= 0 and <= 1
0.85scoresobjectrequired
The scores of the authenticity verification.
The synthesis score of the authenticity verification.
number,null<float>Possible values: >= 0 and <= 1
0.85synthesisSourcesobject
The synthesis source scores of the authenticity verification.
The score of the source tracing of the AWS provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the Azure provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the Deepgram provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the ElevenLabs provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the Google provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the IBM provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the LMNT provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the Murf provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the OpenAI provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the PlayHT provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the Speechify provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The score of the source tracing of the other provider.
number,null<float>Possible values: >= 0 and <= 1
0.85The number of chunks of the authenticity verification.
integer<int32>10The date and time when the authenticity verification was created.
string<date-time>2023-01-01T00:00:00.000000ZThe date and time when the authenticity verification was performed.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "verification-a",
"alias": "Verification A",
"state": "performed",
"mode": "restApi",
"model": "phone/v1",
"audio": {
"handle": "audio-a",
"alias": "Audio A",
"state": "available"
},
"duration": "PT3.500S",
"voiceDuration": "PT3.500S",
"scores": {
"synthesis": 0.85,
"synthesisSources": {
"aws": 0.85,
"azure": 0.85,
"deepgram": 0.85,
"elevenlabs": 0.85,
"google": 0.85,
"ibm": 0.85,
"lmnt": 0.85,
"murf": 0.85,
"openai": 0.85,
"playht": 0.85,
"speechify": 0.85,
"other": 0.85
}
},
"chunks": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"performedAt": "2023-01-01T00:00:00.000000Z"
}
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}